import request from '@/utils/request'

// 查询节点参数列表
export function listParam(query) {
  return request({
    url: '/quest/param/list',
    method: 'get',
    params: query
  })
}

// 查询节点参数详细
export function getParam(id) {
  return request({
    url: '/quest/param/' + id,
    method: 'get'
  })
}

// 新增节点参数
export function addParam(data) {
  return request({
    url: '/quest/param',
    method: 'post',
    data: data
  })
}

// 批量新增
export function batchAdd(data) {
  return request({
    url: '/quest/param/batchAdd',
    method: 'post',
    data: data
  })
}

// 修改节点参数
export function updateParam(data) {
  return request({
    url: '/quest/param',
    method: 'put',
    data: data
  })
}

// 删除节点参数
export function delParam(id) {
  return request({
    url: '/quest/param/' + id,
    method: 'delete'
  })
}
