import request from '@/utils/request'

// 查询结构列表
export function listData(query) {
  return request({
    url: '/source/data/list',
    method: 'get',
    params: query
  })
}

// 查询结构详细
export function getData(id) {
  return request({
    url: '/source/data/' + id,
    method: 'get'
  })
}

// 新增结构
export function addData(data) {
  return request({
    url: '/source/data',
    method: 'post',
    data: data
  })
}

// 修改结构
export function updateData(data) {
  return request({
    url: '/source/data',
    method: 'put',
    data: data
  })
}

// 删除结构
export function delData(id) {
  return request({
    url: '/source/data/' + id,
    method: 'delete'
  })
}
//修改字段是否为字典值
export function updIsDict(data) {
  return request({
    url: '/source/data/updIsDict',
    method: 'put',
    data: data
  })
}
//根据childrenId查询表结构
export function selectTableData(id) {
  return request({
    url: '/source/data/selectTableData/' + id,
    method: 'get'
  })
}
export function findTableInfo() {
  return request({
    url: '/source/tableInfo/findTableInfo',
    method: 'get'
  })
}
export function findTableInfoList() {
  return request({
    url: '/source/tableInfo/findTableInfoList',
    method: 'get',
  })
}


